{
  "accUserMode" : 2,
  "caption" : "学生",
  "codeName" : "studentUsr08074199CustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/studentUsr08074199CustomView.json",
  "name" : "studentUsr08074199CustomView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Ungroup.json"
  },
  "getPSDEViewCodeName" : "Usr08074199CustomView",
  "getPSDEViewId" : "1C1AD3BB-6BF3-43ED-AFB6-AFA71E22569F",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "field_text_dynamic",
      "viewFieldName" : "number1"
    }, {
      "id" : "field_text_dynamic1",
      "viewFieldName" : "number2"
    }, {
      "id" : "field_text_dynamic2",
      "viewFieldName" : "number"
    } ],
    "codeName" : "Usr0807949482",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "大屏自定义视图（右上）布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 4,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "单项数据容器",
            "dataRegionType" : "SINGLEDATA",
            "dataSourceType" : "CUSTOM",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container_singledata",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSPanelItems" : [ {
              "caption" : "图片背景容器",
              "contentHeight" : 60.0,
              "height" : 60.0,
              "itemStyle" : "STYLE2",
              "itemType" : "CONTAINER",
              "name" : "container_image",
              "getPSLayout" : {
                "childColMD" : 24,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "height" : 60,
                "heightMode" : "PX",
                "layout" : "TABLE_24COL"
              },
              "getPSPanelItems" : [ {
                "caption" : "文本(动态)",
                "itemStyle" : "DEFAULT",
                "itemType" : "FIELD",
                "name" : "field_text_dynamic",
                "getPSEditor" : {
                  "editorParams" : {
                    "SHOWMODEL" : "model3",
                    "CAPTION" : "本年度累计参训人次"
                  },
                  "editorStyle" : "SCREEN_PANEL_ATTRIBUTE",
                  "editorType" : "SPAN",
                  "name" : "field_text_dynamic",
                  "predefinedType" : "FIELD_TEXT_DYNAMIC",
                  "renderMode" : "TEXT_DYNAMIC",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "viewFieldName" : "number1"
              } ],
              "getPSSysCss" : {
                "cssName" : "screen-button-style"
              },
              "getPSSysImage" : {
                "imagePath" : "/assets/images/year-total.png"
              },
              "predefinedType" : "CONTAINER_IMAGE"
            }, {
              "caption" : "文本",
              "contentType" : "RAW",
              "itemStyle" : "DEFAULT",
              "itemType" : "RAWITEM",
              "name" : "static_text1",
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSRawItem" : {
                "caption" : "本年度累计参训人次",
                "contentType" : "RAW",
                "cssStyle" : "font-size: 16px;\ntext-align: center;",
                "name" : "static_text1",
                "predefinedType" : "STATIC_TEXT",
                "renderMode" : "TEXT"
              },
              "rawContent" : "本年度累计参训人次",
              "showCaption" : true
            }, {
              "caption" : "图片背景容器",
              "contentHeight" : 60.0,
              "height" : 60.0,
              "itemStyle" : "STYLE2",
              "itemType" : "CONTAINER",
              "name" : "container_image1",
              "getPSLayout" : {
                "childColMD" : 24,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "height" : 60,
                "heightMode" : "PX",
                "layout" : "TABLE_24COL"
              },
              "getPSPanelItems" : [ {
                "caption" : "文本(动态)",
                "itemStyle" : "DEFAULT",
                "itemType" : "FIELD",
                "name" : "field_text_dynamic1",
                "getPSEditor" : {
                  "editorParams" : {
                    "SHOWMODEL" : "model3",
                    "CAPTION" : "本年度累计培训时长"
                  },
                  "editorStyle" : "SCREEN_PANEL_ATTRIBUTE",
                  "editorType" : "SPAN",
                  "name" : "field_text_dynamic1",
                  "predefinedType" : "FIELD_TEXT_DYNAMIC",
                  "renderMode" : "TEXT_DYNAMIC",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "getPSSysCss" : {
                  "cssName" : "screen-button-style"
                },
                "viewFieldName" : "number2"
              } ],
              "getPSSysCss" : {
                "cssName" : "screen-button-style"
              },
              "getPSSysImage" : {
                "imagePath" : "/assets/images/year-total.png"
              },
              "predefinedType" : "CONTAINER_IMAGE"
            }, {
              "caption" : "文本",
              "contentType" : "RAW",
              "itemStyle" : "DEFAULT",
              "itemType" : "RAWITEM",
              "name" : "static_text2",
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSRawItem" : {
                "caption" : "本年度累计培训时长",
                "contentType" : "RAW",
                "cssStyle" : "font-size: 16px;\ntext-align: center;",
                "name" : "static_text2",
                "predefinedType" : "STATIC_TEXT",
                "renderMode" : "TEXT"
              },
              "rawContent" : "本年度累计培训时长",
              "showCaption" : true
            } ],
            "predefinedType" : "CONTAINER_SINGLEDATA",
            "scriptCode" : "{number1: '28734', number2: '22847'}"
          } ]
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 8,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "单项数据容器",
            "dataRegionType" : "SINGLEDATA",
            "dataSourceType" : "CUSTOM",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container_singledata1",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSPanelItems" : [ {
              "caption" : "文本",
              "contentType" : "RAW",
              "itemStyle" : "DEFAULT",
              "itemType" : "RAWITEM",
              "name" : "static_text",
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSRawItem" : {
                "caption" : "年度模拟机训练小时数",
                "contentType" : "RAW",
                "name" : "static_text",
                "getPSSysCss" : {
                  "cssName" : "screen-title"
                },
                "predefinedType" : "STATIC_TEXT",
                "renderMode" : "TEXT"
              },
              "getPSSysCss" : {
                "cssName" : "screen-title"
              },
              "rawContent" : "年度模拟机训练小时数",
              "showCaption" : true
            }, {
              "caption" : "文本(动态)",
              "itemStyle" : "DEFAULT",
              "itemType" : "FIELD",
              "name" : "field_text_dynamic2",
              "getPSEditor" : {
                "editorStyle" : "DIGITAL_FLOP",
                "editorType" : "SPAN",
                "name" : "field_text_dynamic2",
                "predefinedType" : "FIELD_TEXT_DYNAMIC",
                "renderMode" : "TEXT_DYNAMIC",
                "enableLinkView" : false
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "viewFieldName" : "number"
            } ],
            "predefinedType" : "CONTAINER_SINGLEDATA",
            "scriptCode" : "{number: '093625'}"
          }, {
            "caption" : "图表",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "chart",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "showCaption" : true
          } ]
        } ],
        "predefinedType" : "CONTAINER_GRID"
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "0A89975C-2B44-476E-9024-A752C5B0812E",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "caption" : "学生",
      "codeName" : "Usr08074199CustomViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "大屏自定义视图（右上）",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "showCaptionBar" : false,
  "modelid" : "a72802fd6de738a5acd28defb8180ac3",
  "modeltype" : "PSAPPDEVIEW"
}